This endpoint will provide you with the number of backlinks pointing to domains, subdomains, and pages specified in the targets array. The returned numbers correspond to all live backlinks, that is, total number of referring links with all attributes (e.g., nofollow, noreferrer, ugc, sponsored etc) that were found during the latest check.

Note that if you indicate a domain as a target, you will get results for the root domain (domain with all of its subdomains), e.g. dataforseo.com and app.dataforseo.com

checked POST
Pricing

Your account will be charged for each request.
The cost can be calculated on the Pricing page.

All POST data should be sent in the JSON format (UTF-8 encoding). The task setting is done using the POST method. When setting a task, you should send all task parameters in the task array of the generic POST array. You can send up to 2000 API calls per minute, each Live API call can contain only one task. The maximum number of calls that can be sent simultaneously is limited to 30.

Below you will find a detailed description of the fields you can use for setting a task.

Description of the fields for setting a task:

Field nameTypeDescription
targetsarray

domains, subdomains or webpages to get the number of backlinks for
required field
you can set up to 1000 domains, subdomains or webpages
the domain or subdomain should be specified without https:// and www.
the page should be specified with absolute URL (including http:// or https://)
example:
"targets": [
"forbes.com",
"cnn.com",
"bbc.com",
"yelp.com",
"https://www.apple.com/iphone/",
"https://ahrefs.com/blog/",
"ibm.com",
"https://variety.com/",
"https://stackoverflow.com/",
"www.trustpilot.com"
]

tagstring

user-defined task identifier
optional field
the character limit is 255
you can use this parameter to identify the task and match it with the result
you will find the specified tag value in the data object of the response

As a response of the API server, you will receive JSON-encoded data containing a tasks array with the information specific to the set tasks.

Description of the fields in the results array:

Field nameTypeDescription
versionstring

the current version of the API

status_codeinteger

general status code
you can find the full list of the response codes here
Note: we strongly recommend designing a necessary system for handling related exceptional or error conditions

status_messagestring

general informational message
you can find the full list of general informational messages here

timestring

execution time, seconds

costfloat

total tasks cost, USD

tasks_countinteger

the number of tasks in the tasks array

tasks_errorinteger

the number of tasks in the tasks array returned with an error

tasksarray

array of tasks

    idstring

task identifier
unique task identifier in our system in the UUID format

    status_codeinteger

status code of the task
generated by DataForSEO; can be within the following range: 10000-60000
you can find the full list of the response codes here

    status_messagestring

informational message of the task
you can find the full list of general informational messages here

    timestring

execution time, seconds

    costfloat

cost of the task, USD

    result_countinteger

number of elements in the result array

    patharray

URL path

    dataobject

contains the same parameters that you specified in the POST request

    resultarray

array of results

        items_countinteger

the number of results returned in the items array

        itemsarray

contains relevant backlink data

            targetstring

domain, subdomain or webpage from a POST array

            backlinksinteger

number of backlinks pointing to the target


‌‌

Instead of ‘login’ and ‘password’ use your credentials from https://app.dataforseo.com/api-access

# Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access 
login="login" 
password="password" 
cred="$(printf ${login}:${password} | base64)" 
curl --location --request POST "https://api.dataforseo.com/v3/backlinks/bulk_backlinks/live" 
--header "Authorization: Basic ${cred}"  
--header "Content-Type: application/json" 
--data-raw '[
    {
      "targets": [
          "forbes.com",
          "cnn.com",
          "bbc.com",
          "yelp.com",
          "https://www.apple.com/iphone/",
          "https://ahrefs.com/blog/",
          "ibm.com",
          "https://variety.com/",
          "https://stackoverflow.com/",
          "www.trustpilot.com"
      ]
    }
]'
<?php
// You can download this file from here https://cdn.dataforseo.com/v3/examples/php/php_RestClient.zip
require('RestClient.php');
$api_url = 'https://api.dataforseo.com/';
// Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
$client = new RestClient($api_url, null, 'login', 'password');

$post_array = array();
// simple way to set a task
$post_array[] = array(
	"targets" => [
        "forbes.com",
		"cnn.com",
		"bbc.com",
		"yelp.com",
		"https://www.apple.com/iphone/",
		"https://ahrefs.com/blog/",
		"ibm.com",
		"https://variety.com/",
		"https://stackoverflow.com/",
		"www.trustpilot.com"
	]
);
try {
	// POST /v3/backlinks/bulk_backlinks/live
	$result = $client->post('/v3/backlinks/bulk_backlinks/live', $post_array);
	print_r($result);
	// do something with post result
} catch (RestClientException $e) {
	echo "n";
	print "HTTP code: {$e->getHttpCode()}n";
	print "Error code: {$e->getCode()}n";
	print "Message: {$e->getMessage()}n";
	print  $e->getTraceAsString();
	echo "n";
}
$client = null;
?>
const post_array = [];
post_array.push({
  "targets": [
    "forbes.com",
    "cnn.com",
    "bbc.com",
    "yelp.com",
    "https://www.apple.com/iphone/",
    "https://ahrefs.com/blog/",
    "ibm.com",
    "https://variety.com/",
    "https://stackoverflow.com/",
    "www.trustpilot.com"
  ]
});
const axios = require('axios');
axios({
  method: 'post',
  url: 'https://api.dataforseo.com/v3/backlinks/bulk_backlinks/live',
  auth: {
    username: 'login',
    password: 'password'
  },
  data: post_array,
  headers: {
    'content-type': 'application/json'
  }
}).then(function (response) {
  var result = response['data']['tasks'];
  // Result data
  console.log(result);
}).catch(function (error) {
  console.log(error);
});
from client import RestClient
# You can download this file from here https://cdn.dataforseo.com/v3/examples/python/python_Client.zip
client = RestClient("login", "password")
post_data = dict()
# simple way to set a task
post_data[len(post_data)] = dict(
    targets=[
        "forbes.com",
		"cnn.com",
		"bbc.com",
		"yelp.com",
		"https://www.apple.com/iphone/",
		"https://ahrefs.com/blog/",
		"ibm.com",
		"https://variety.com/",
		"https://stackoverflow.com/",
		"www.trustpilot.com"
    ]
)
# POST /v3/backlinks/bulk_backlinks/live
response = client.post("/v3/backlinks/bulk_backlinks/live", post_data)
# you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
if response["status_code"] == 20000:
    print(response)
    # do something with result
else:
    print("error. Code: %d Message: %s" % (response["status_code"], response["status_message"]))
using Newtonsoft.Json;
using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Net.Http;
using System.Net.Http.Headers;
using System.Text;
using System.Threading.Tasks;

namespace DataForSeoDemos
{
    public static partial class Demos
    {
        public static async Task backlinks_bulk_backlinks_live()
        {
            var httpClient = new HttpClient
            {
                BaseAddress = new Uri("https://api.dataforseo.com/"),
                // Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
                DefaultRequestHeaders = { Authorization = new AuthenticationHeaderValue("Basic", Convert.ToBase64String(Encoding.ASCII.GetBytes("login:password"))) }                
            };
            var postData = new List<object>();
            postData.Add(new
            {
                targets = new[]
                {
                    "forbes.com",
                    "cnn.com",
                    "bbc.com",
                    "yelp.com",
                    "https://www.apple.com/iphone/",
                    "https://ahrefs.com/blog/",
                    "ibm.com",
                    "https://variety.com/",
                    "https://stackoverflow.com/",
                    "www.trustpilot.com"
                }
            });
            // POST /v3/backlinks/bulk_backlinks/live
            // the full list of possible parameters is available in documentation
            var taskPostResponse = await httpClient.PostAsync("/v3/backlinks/bulk_backlinks/live", new StringContent(JsonConvert.SerializeObject(postData)));
            var result = JsonConvert.DeserializeObject<dynamic>(await taskPostResponse.Content.ReadAsStringAsync());
            // you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
            if (result.status_code == 20000)
            {
                // do something with result
                Console.WriteLine(result);
            }
            else
                Console.WriteLine($"error. Code: {result.status_code} Message: {result.status_message}");
        }
    }
}

The above command returns JSON structured like this:

{
  "version": "0.1.20210917",
  "status_code": 20000,
  "status_message": "Ok.",
  "time": "2.0128 sec.",
  "cost": 0.0203,
  "tasks_count": 1,
  "tasks_error": 0,
  "tasks": [
    {
      "id": "10131646-1535-0348-0000-5f85d2be4a1b",
      "status_code": 20000,
      "status_message": "Ok.",
      "time": "1.9579 sec.",
      "cost": 0.0203,
      "result_count": 1,
      "path": [
        "v3",
        "backlinks",
        "bulk_backlinks",
        "live"
      ],
      "data": {
        "api": "backlinks",
        "function": "bulk_backlinks",
        "targets": [
          "forbes.com",
          "cnn.com",
          "bbc.com",
          "yelp.com",
          "https://www.apple.com/iphone/",
          "https://ahrefs.com/blog/",
          "ibm.com",
          "https://variety.com/",
          "https://stackoverflow.com/",
          "www.trustpilot.com"
        ]
      },
      "result": [
        {
          "items_count": 10,
          "items": [
            {
              "target": "www.trustpilot.com",
              "backlinks": 66516402
            },
            {
              "target": "yelp.com",
              "backlinks": 72520539
            },
            {
              "target": "cnn.com",
              "backlinks": 44487176
            },
            {
              "target": "bbc.com",
              "backlinks": 32695874
            },
            {
              "target": "https://variety.com/",
              "backlinks": 2383750
            },
            {
              "target": "https://ahrefs.com/blog/",
              "backlinks": 2787
            },
            {
              "target": "ibm.com",
              "backlinks": 13256827
            },
            {
              "target": "forbes.com",
              "backlinks": 20436483
            },
            {
              "target": "https://stackoverflow.com/",
              "backlinks": 28380698
            },
            {
              "target": "https://www.apple.com/iphone/",
              "backlinks": 31797
            }
          ]
        }
      ]
    }
  ]
}